package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum ProjectAuditStatus {
	CREATE(0, "草稿"),
	SUBMIT(1, "提交审核"),
	AUDITED(2,"审核通过"),
	UNAUDITED(3,"审核未通过"),
	REVOKE(4,"撤销发布"),
	OTHER(5, "其他");

	private ProjectAuditStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, ProjectAuditStatus> status = new HashMap<Integer, ProjectAuditStatus>();

	static {
		for (ProjectAuditStatus value : ProjectAuditStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static ProjectAuditStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static ProjectAuditStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
}
